Tokens

Refresh an access token

PUT
/api/tokens

The client has the option to pass the refresh token in the body of the request or in a refresh_token cookie. The access token must be passed in the body of the request.

Request Body

application/json
  1. body
access_token?string
refresh_token?string
access_expiration?string
Formatdate-time
refresh_expiration?string
Formatdate-time

Response Body

Newly issued access and refresh tokens

application/json
  1. response
access_token?string
refresh_token?string
access_expiration?string
Formatdate-time
refresh_expiration?string
Formatdate-time
curl -X PUT "https://example.com/api/tokens" \  -H "Content-Type: application/json" \  -d '{}'
{  "access_token": "string",  "refresh_token": "string",  "access_expiration": "2019-08-24T14:15:22Z",  "refresh_expiration": "2019-08-24T14:15:22Z"}